---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Observations Properties

Gets all Observation Properties (ID and name).

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Resources",
      "description": "Reference data such as countries and currencies.",
      "x-displayName": "Resources"
    }
  ],
  "paths": {
    "/api/resources/observation_properties": {
      "get": {
        "tags": [
          "Resources"
        ],
        "summary": "Observations Properties",
        "description": "Gets all Observation Properties (ID and name).",
        "operationId": "Resources_GetObservationProperties",
        "responses": {
          "200": {
            "description": "Observation Property Array",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Easee_Cloud_API_ObservationPropertyDTO"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_ObservationPropertyDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "observationId": {
            "type": "integer",
            "format": "int32"
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "dataType": {
            "$ref": "#/components/schemas/Easee_Cloud_API_IotDataType"
          }
        }
      },
      "Easee_Cloud_API_IotDataType": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Boolean",
          "Double",
          "Integer",
          "Position",
          "String"
        ],
        "enum": [
          2,
          3,
          4,
          5,
          6
        ]
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```